System.Runtime.Remoting 2.0.0.0 System.Object System.Runtime.Remoting.Channels.IChannelReceiver

Channels are used by the .NET Framework remoting infrastructure to transport remote calls. When a client calls a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. After the message is received, it is deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

The class uses the Windows interprocess communication (IPC) system to transport messages between application domains on the same computer. When communicating between application domains on the same computer, the IPC channel is much faster than the TCP or HTTP channels.

To perform additional processing of messages on the server side, specify an implementation of the interface through which all messages processed by the instance are passed.

The instance accepts messages serialized in either binary or SOAP format.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing an collection to the constructor). For a list of these configuration properties, see the documentation for the constructor.

When setting the exclusiveAddressUse property to false in the argument, several objects can be registered for the same named pipe. In such a case requests can go to any of the channels registered. This setting is considered secure only if ALCs are also used.

Implements a server channel for remote calls that uses the IPC system to transmit messages.

- Constructor
  To be added.

  Initializes a new instance of the class with the specified IPC port name.

  The name of the IPC port to be used by the channel.
  2.0.0.0
- Constructor
  To be added.

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  If you do not require sink functionality, set the parameter to null.

  When setting the exclusiveAddressUse property to false in the argument, several objects can be registered for the same named pipe. In such a case requests can go to any of the channels registered. This setting is considered secure only if ALCs are also used.

  Initializes a new instance of the class with the specified channel properties and sink.

  A collection that specifies values for configuration properties to be used by the channel.
  2.0.0.0
- Constructor

  This constructor sets the property by using the parameter. If you want to register more than one channel, each channel must have a unique name.

  Initializes a new instance of the class with the specified channel name and IPC port name.

  The name of the channel.
  The name of the IPC port to be used by the channel.
  2.0.0.0
- Constructor
  To be added.

  This constructor sets the property by using the parameter. If you want to register more than one channel, each channel must have a unique name.

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the specified channel name, IPC port name, and sink.

  The name of the channel.
  The name of the IPC port to be used by the channel.
  2.0.0.0
- Property
  System.Object To be added.

  Although returned as an instance of the class, the value of this property can be cast to an instance of that describes the channel to which the object listens.

  Gets channel-specific data.

  2.0.0.0
- Property
  System.String To be added.

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling the method. The default name is "ipc server".

  Gets the name of the current channel.

  2.0.0.0
- Property
  System.Int32 To be added.

  The priority controls the order in which channel data appears in a instance; higher priority channels appear before lower priority channels. Clients try to connect to the server channels in the order that they are listed in the instance. The default priority is 20; negative priorities are allowed.

  Gets the priority of the current channel.

  2.0.0.0
- Method
  System.String

  The channel URI is used by the client to specify a remote server channel.

  Returns the URI of the current channel.

  A that contains the URI of the channel.

  2.0.0.0
- Method
  System.String[] ``

  This method is used by the method.

  Returns an array of all the URLs for the object with the specified URI, hosted on the current instance.

  An array of the URLs for an object with the specified URI, hosted on the current instance.

  The URI of the object for which URLs are required. 2.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  It is not necessary to call this method to begin listening on a newly initialized channel.

  Use this method to restart listening on a channel after the method has been called to stop listening on the channel.

  The data object can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, pass null as the parameter value.

  Instructs the current channel to start listening for requests.

  An object that specifies an initialization state, or null, if you do not want to pass a specific state to the channel. 2.0.0.0
- Method
  System.Void ``

  Use this method to stop listening on a channel. To restart listening, use the method.

  The data object can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, pass null as the parameter value.

  Instructs the current channel to stop listening for requests.

  An object that specifies an initialization state, or null, if you do not want to pass a specific state to the channel. 2.0.0.0